Bug 1414740 - [trello 60kr8WOB] Breadcrumb link "Stateful Sets" points wrongly to pods page
Summary: [trello 60kr8WOB] Breadcrumb link "Stateful Sets" points wrongly to pods page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 10:58 UTC by Xingxing Xia
Modified: 2017-05-30 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 12:49:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xingxing Xia 2017-01-19 10:58:00 UTC
Description of problem:
Link "Stateful Sets" points wrongly to pods page

Version-Release number of selected component (if applicable):
openshift v1.5.0-alpha.1+e0218ac-340

How reproducible:
Always

Steps to Reproduce:
1. Create statefulset as steps in https://bugzilla.redhat.com/show_bug.cgi?id=1414709#c0
2. Click Applications --> Stateful Sets --> hello, it shows breadcrumb link: Stateful Sets >> hello
3. Click link "Stateful Sets"

Actual results:
3. It turns to pods page

Expected results:
3. It should turn to Stateful Sets page

Additional info:

Comment 1 bpeterse 2017-01-19 21:22:41 UTC
PR open: https://github.com/openshift/origin-web-console/pull/1153

Comment 2 Xingxing Xia 2017-01-20 03:39:41 UTC
Verified in openshift v1.5.0-alpha.2+2543fed-29. Fixed. Now breadcrumb link "Stateful Sets" correctly points to Stateful Sets page.


Note You need to log in before you can comment on or make changes to this bug.